Unit Text_Gen_Unit;
//{$Define Debug}

Interface
   {
     TNev (=String) tpus elemekbl ll szvegesfjl (Text) generlsa
     s egyebek:
     * Export:
       - FajlGeneralas(Const fN:String; Const db:Integer):Boolean
       - WriteFajl(Const fN:String; Const cim:String)
       - FajlTorles(Const fN:String)
     * Import:
       - Text_Nyitasok_Unit
       - Randnev.inc
     * Kdols: IBM852
   }

  Function FajlGeneralas(Const fN:String; Const db:Integer):Boolean;
  Procedure WriteFajl(Const fN:String; Const cim:String);
  Procedure Masolat(Const fNbe,fNki:String);
  Procedure FajlTorles(Const fN:String);

Implementation

   Uses
     Crt,Text_Nyitasok_Unit;
     {$i Randnev.inc}

  Function FajlGeneralas(Const fN:String; Const db:Integer):Boolean;
    Var
      f:Text;
      n:TNev;
      i:Integer;
      siker:Boolean;
  Begin
    siker:=FajlNyitasIrasra(f,fN);
    If siker then
    Begin
      For i:=1 to db do
      Begin
        n:=RandomNev;
        Writeln(f,n);
        {$IFDEF Debug}Writeln(i:4,'.:"',n,'" <--Teszt');{$ENDIF}
      End;{for i}
      Close(f);
    End;{If siker}
    FajlGeneralas:=siker;
  End;{FajlGeneralas}

  Procedure WriteFajl(Const fN:String; Const cim:String);
    Const
      cim1:String='------------------------ Fjl -------------------------';
      cim2:String='-------------------------------------------------------';
    Var
      f:Text;
      i:Integer;
      siker:Boolean;
      n:TNev;
  Begin
    siker:=FajlNyitasOlvasasra(f,fN);
    Writeln(cim1);
    HighVideo; Writeln(cim:(Length(cim1) Div 2)+(Length(cim) Div 2)); NormVideo;
    If siker then
    Begin
      i:=1;
      While not Eof(f) do
      Begin
        Readln(f,n);
        Writeln(i:4,'.:"',n,'"');
        Inc(i);
      End;
      Close(f);
    End
      else
    Begin
      Writeln('Nem ltez fjl.':(Length(cim1) Div 2)+
                                 (Length('Nem ltez fjl.') Div 2));
    End;{If siker}
    Writeln(cim2);
    ReadKey;
  End;{WriteFajl}

  Procedure Masolat(Const fNbe,fNki:String);
  {
    Ef: LTEZIK(fNbe) S NEM LTEZIK(fNki)
  }
    Var
      fbe,fki:Text;
      e:String;
  Begin
    If FajlNyitasOlvasasra(fbe,fNbe) and FajlNyitasIrasra(fki,fNki) then
    Begin
      While not Eof(fbe) do
      Begin
        Readln(fbe,e); Writeln(fki,e)
      End;
      Close(fbe); Close(fki);
    End;
  End;{Masolat}

  Procedure FajlTorles(Const fN:String);
    Var
      f:Text;
  Begin
    Assign(f,fN); {$i-}Reset(f);{$i+}
    If IOResult=0 then
    Begin
      Close(f); Erase(f);
    End;
  End;{FajlTorles}

Begin
End.
